from gturtle import *

X, Y = -20, 70
S_X, S_Y = 4.5, -0.75

def draw_frame():
    clear(makeColor("black", 0.125))
    setPos(X, Y)
    dot(20)

def update_frame():
    global X, Y, S_X, S_Y
    X += S_X
    Y += S_Y
    if X > 200:
        S_X = -S_X
    if X < -200:
        S_X = -S_X
    
makeTurtle()
hideTurtle()
penUp()
setPenColor("red")
clear("black")
repeat 500:
    draw_frame()
    delay(10)
    update_frame()
