from gturtle import *

def star(s):
    left(18)
    startPath()
    repeat 5:
        forward(s)
        right(72)
        forward(s)
        left(144)
    fillPath()
    right(18)
    
def replace_line(s):
    repeat s:
        if getPixelColorStr() != "white":
            dot(1)
        forward(1)

makeTurtle()
hideTurtle()
setPos(100, 0)
star(40)
setPos(0, 0)
penUp()
i = 0
repeat 100:
    c = makeColor(1.0, 1.0 - i, 0.0)
    setPenColor(c)
    i += 1 / 100
    right(90)
    replace_line(150)
    back(150)
    left(90)
    forward(1)

