from gturtle import *

class ball:
    def __init__(self, x, y, s_x, s_y, color):
        self.x = x
        self.y = y
        self.s_x = s_x
        self.s_y = s_y
        self.color = color
        
    def draw(self):
        setPos(self.x, self.y)
        setPenColor(self.color)
        dot(10)

    def update(self):
        self.x += self.s_x
        self.y += self.s_y
    
balls = [ ball(30, 40, 3, 6, "red"),
          ball(-50, 60, 5, -1, "gold") ]

def draw_frame():
    global balls
    clear("black")
    for ball in balls:
        ball.draw()

def update_frame():
    global balls
    for ball in balls:
        ball.update()

makeTurtle()
hideTurtle()
repeat 100:
    draw_frame()
    delay(40)
    update_frame()
